# ROS1 Bridge: Custom Messages and Services between ROS1 and ROS2 Humble on Ubuntu 22.04 (jammy)
There is an Ubuntu Focal (20.04) version of this here: https://code.research.uts.edu.au/157607/custom-bridge-focal-example


# Build and run
Everything runs in a docker container, so it doesn't matter what your local machine has. 
1. run `./run.sh -b` to build the docker image, copy custom msgs into the docker image and compile ros1 bridge. This can take a while (we had it take 2305 sec on an XPS 15 9520).

2. `./run.sh` to launch the container and interact with bridge, ros1 and ros2. Use `docker exec` to get into the containers and run stuff.

# Important details
- The message, service, and package names in ROS1 and ROS2 must match. 

# FAQ
- **What are "Intent" and "IntentComponent"?** These are just custom messages that we use in our projects; in this repo they're an example of a custom message.
- **What version of ROS1 are you using?** It says `debian`, not `melodic` or `kinetic`. This because we use `ros-core-dev` on Ubuntu 22.04; we couldn't figure out how to build `melodic` from source on 22.04.
